Entrar

Crear configuración

POST https://{organization}.myguper.com/api/register/tier/config

Crea una configuración de tier. Cada organización puede correr más de un programa en paralelo (ej: tier de cliente + tier de colaborador).

Try-it values populated from environment ACME (Demo)


Autenticación

Token

Send your user token in the x-guper-authorization header.

Encabezados

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Cuerpo de la petición

Content-Type: application/json

{
    "name": "Programa Guper",
    "levels": [
        {
            "name": "Silver",
            "minPoints": 1000
        }
    ],
    "sources": "{\"rewardCampaign\": {\"multiplier\": 1, \"expiresInDays\": 365, \"campaigns\": [12, 40]}}",
    "isActive": true,                                           // optional
    "autoEnrollOnOptIn": true                                   // optional
}

Respuestas

{
    "id":        2,
    "name":      "Colaboradores Guper",
    "isActive":  true,
    "createdAt": "2026-05-01T12:34:56-03:00"
}
Copied to clipboard